<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iBillboardEventHandler Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iBillboardEventHandler Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iBillboardEventHandler" --><!-- doxytag: inherits="iBase" -->
<p>An event on some billboard (like being selected or something).  
 <a href="structiBillboardEventHandler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tools_2billboard_8h_source.html">tools/billboard.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iBillboardEventHandler:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiBillboardEventHandler.png" usemap="#iBillboardEventHandler_map" alt=""/>
  <map id="iBillboardEventHandler_map" name="iBillboardEventHandler_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,142,24"/>
</map>
 </div></div>

<p><a href="structiBillboardEventHandler-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardEventHandler.html#a0bab181f60553c5b604298cf34325275">DoubleClick</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *billboard, int mouse_button, int mousex, int mousey)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Billboard is double clicked.  <a href="#a0bab181f60553c5b604298cf34325275"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardEventHandler.html#a2a742a0c657e97e3fe43a5070df5978e">MouseMove</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *billboard, int mouse_button, int mousex, int mousey)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mouse moves while billboard is selected.  <a href="#a2a742a0c657e97e3fe43a5070df5978e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardEventHandler.html#a311ce3b978d705280b38914bb02b493d">MouseMoveAway</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *billboard, int mouse_button, int mousex, int mousey)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Mouse moves away from billboard.  <a href="#a311ce3b978d705280b38914bb02b493d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardEventHandler.html#a9704f07d66321010260a66ec08447ed0">Select</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *billboard, int mouse_button, int mousex, int mousey)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Billboard is selected.  <a href="#a9704f07d66321010260a66ec08447ed0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiBillboardEventHandler.html#aac9cd4f16e85c5f1c8e22918568ec4cf">Unselect</a> (<a class="el" href="structiBillboard.html">iBillboard</a> *billboard, int mouse_button, int mousex, int mousey)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Billboard is unselected.  <a href="#aac9cd4f16e85c5f1c8e22918568ec4cf"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>An event on some billboard (like being selected or something). </p>
<p>Note that all coordinates in this interface are given in billboard coordinates (see <a class="el" href="structiBillboard.html" title="A billboard (2D image on screen).">iBillboard</a> for more information about what this means). </p>

<p>Definition at line <a class="el" href="tools_2billboard_8h_source.html#l00068">68</a> of file <a class="el" href="tools_2billboard_8h_source.html">billboard.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0bab181f60553c5b604298cf34325275"></a><!-- doxytag: member="iBillboardEventHandler::DoubleClick" ref="a0bab181f60553c5b604298cf34325275" args="(iBillboard *billboard, int mouse_button, int mousex, int mousey)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardEventHandler.html#a0bab181f60553c5b604298cf34325275">iBillboardEventHandler::DoubleClick</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>billboard</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mouse_button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Billboard is double clicked. </p>

</div>
</div>
<a class="anchor" id="a2a742a0c657e97e3fe43a5070df5978e"></a><!-- doxytag: member="iBillboardEventHandler::MouseMove" ref="a2a742a0c657e97e3fe43a5070df5978e" args="(iBillboard *billboard, int mouse_button, int mousex, int mousey)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardEventHandler.html#a2a742a0c657e97e3fe43a5070df5978e">iBillboardEventHandler::MouseMove</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>billboard</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mouse_button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mouse moves while billboard is selected. </p>

</div>
</div>
<a class="anchor" id="a311ce3b978d705280b38914bb02b493d"></a><!-- doxytag: member="iBillboardEventHandler::MouseMoveAway" ref="a311ce3b978d705280b38914bb02b493d" args="(iBillboard *billboard, int mouse_button, int mousex, int mousey)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardEventHandler.html#a311ce3b978d705280b38914bb02b493d">iBillboardEventHandler::MouseMoveAway</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>billboard</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mouse_button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mouse moves away from billboard. </p>

</div>
</div>
<a class="anchor" id="a9704f07d66321010260a66ec08447ed0"></a><!-- doxytag: member="iBillboardEventHandler::Select" ref="a9704f07d66321010260a66ec08447ed0" args="(iBillboard *billboard, int mouse_button, int mousex, int mousey)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardEventHandler.html#a9704f07d66321010260a66ec08447ed0">iBillboardEventHandler::Select</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>billboard</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mouse_button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Billboard is selected. </p>

</div>
</div>
<a class="anchor" id="aac9cd4f16e85c5f1c8e22918568ec4cf"></a><!-- doxytag: member="iBillboardEventHandler::Unselect" ref="aac9cd4f16e85c5f1c8e22918568ec4cf" args="(iBillboard *billboard, int mouse_button, int mousex, int mousey)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiBillboardEventHandler.html#aac9cd4f16e85c5f1c8e22918568ec4cf">iBillboardEventHandler::Unselect</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiBillboard.html">iBillboard</a> *&#160;</td>
          <td class="paramname"><em>billboard</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mouse_button</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mousey</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Billboard is unselected. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="tools_2billboard_8h_source.html">billboard.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
